{
  "name": "EPUB Parser Pipeline",
  "nodes": [
    {
      "parameters": {
        "httpMethod": "POST",
        "path": "epub-upload",
        "responseMode": "responseNode",
        "options": {
          "rawBody": true
        }
      },
      "id": "acc0fb8b-e1a9-41e8-a12b-a898a0b49f54",
      "name": "Webhook",
      "type": "n8n-nodes-base.webhook",
      "typeVersion": 1.1,
      "position": [
        752,
        32
      ],
      "webhookId": "epub-upload-webhook"
    },
    {
      "parameters": {
        "method": "POST",
        "url": "http://epub-parser:5000/parse",
        "sendBody": true,
        "contentType": "multipart-form-data",
        "bodyParameters": {
          "parameters": [
            {
              "parameterType": "formBinaryData",
              "name": "data",
              "inputDataFieldName": "data"
            }
          ]
        },
        "options": {}
      },
      "id": "255ac328-6456-4ca1-89ea-6d3bb32af971",
      "name": "FastAPI Request",
      "type": "n8n-nodes-base.httpRequest",
      "typeVersion": 4.2,
      "position": [
        1040,
        0
      ]
    },
    {
      "parameters": {
        "respondWith": "json",
        "responseBody": "={{ $json }}",
        "options": {}
      },
      "id": "2886fd4e-ebee-41ee-bc11-ca0e716b104f",
      "name": "Respond to Webhook",
      "type": "n8n-nodes-base.respondToWebhook",
      "typeVersion": 1.1,
      "position": [
        1296,
        32
      ]
    }
  ],
  "pinData": {},
  "connections": {
    "Webhook": {
      "main": [
        [
          {
            "node": "FastAPI Request",
            "type": "main",
            "index": 0
          }
        ]
      ]
    },
    "FastAPI Request": {
      "main": [
        [
          {
            "node": "Respond to Webhook",
            "type": "main",
            "index": 0
          }
        ]
      ]
    }
  },
  "active": false,
  "settings": {
    "executionOrder": "v1",
    "availableInMCP": false
  },
  "versionId": "e04355ab-d49d-4cfc-82b7-e40b90d72160",
  "meta": {
    "instanceId": "0627756eca94c4f84a889829afba19028b408eb6c4a023b2f7efeaae0c40f490"
  },
  "id": "JOTxekOa0aQppw5ckd9bC",
  "tags": []
}